HUGO-GEN-CHROMASTYLES(1)

NAME

hugo-gen-chromastyles - Generate CSS stylesheet for the Chroma code highlighter

SYNOPSIS

hugo gen chromastyles [flags]

DESCRIPTION

Generate CSS stylesheet for the Chroma code highlighter for a given style. This stylesheet is needed if pygmentsUseClasses is enabled in config.

See ⟨https://help.farbox.com/pygments.html⟩ for preview of available styles

OPTIONS

-h, --help[=false]
    help for chromastyles

--highlightStyle="bg:#ffffcc"
    style used for highlighting lines (see ⟨https://github.com/alecthomas/chroma⟩)

--linesStyle=""
    style used for line numbers (see ⟨https://github.com/alecthomas/chroma⟩)

--style="friendly"
    highlighter style (see ⟨https://help.farbox.com/pygments.html⟩)

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)